Summary: Verifies file integrity
Name: tripwire
Version: 1.2
Release: 1
Source: ftp://ftp.cert.org/pub/tools/tripwire/tripwire-1.2.tar.Z
Source2: tripwire.verify
Patch: tripwire-1.2-rhlinux.patch
Copyright: BSD
Group: Utilities/System
BuildRoot: /var/tmp/tripwire-root
ExclusiveArch: i386 sparc

%description
Tripwire is a file integrity checker - a utility that compares a
designated set of files and directories against information stored in
a previously generated database.  Added or deleted files are flagged
and reported, as are any files that have changed from their previously
recorded state in the database.  When run against system files on a
regular basis, any file changes would be spotted when Tripwire is next
run, giving system administrators information to enact damage control
measures immediately.

%prep
%setup -q -c
tar -C .. -xf T1.2.tar
%patch -p1 -b .sopwith

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -ggdb"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/sbin 
mkdir -p $RPM_BUILD_ROOT/usr/man/man1 
mkdir -p $RPM_BUILD_ROOT/usr/man/man5 
mkdir -p $RPM_BUILD_ROOT/usr/man/man8 
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily 
mkdir -p $RPM_BUILD_ROOT/var/spool/tripwire

make TOPDIR="$RPM_BUILD_ROOT" install

install -m 600 lib/tw.config $RPM_BUILD_ROOT/etc/tw.config
install -m 700 $RPM_SOURCE_DIR/tripwire.verify $RPM_BUILD_ROOT/etc/cron.daily

chmod 700 $RPM_BUILD_ROOT/var/spool/tripwire
chmod 700 $RPM_BUILD_ROOT/usr/sbin/*

chmod -R 644 FAQ Changelog INTERNALS README README.FIRST Readme 
chmod -R 644 TODO WHATSNEW docs/*
chmod 755 docs

%post
cd /var/spool/tripwire
(/usr/sbin/tripwire -initialize 2>&1 | \
 /bin/mail -s "Tripwire initialization report" root ) \
 && mv databases/tw.db_* . && rm -rf databases &

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FAQ Changelog INTERNALS README README.FIRST Readme TODO WHATSNEW docs
%dir /var/spool/tripwire
%config /etc/tw.config
%config /etc/cron.daily/tripwire.verify
/usr/sbin/tripwire
/usr/sbin/siggen
/usr/man/man5/tw.config.5
/usr/man/man8/tripwire.8
/usr/man/man8/siggen.8

%changelog
* Thu Sep 10 1998 Michael Maher <mike@redhat.com>
- built package from elliot's
